KB12-010

Yes, as long as you have Microsoft SharePoint Foundation 2010 and your GP 10 install is running on Microsoft SQL Server 2005 or later, we support both GP 10 and GP 2010.

U-LINC is compatible with GP 2013.